// Flux produced by an inductor
// SCILAB source file: ex2004.sce
// Get input data from dialogue box
txt = ['Mean length of the magnetic path (mm)';'Cross-sectional area of the core (mm2)';'Relative permeability of the core';'Number of turns';'Current (A)'];
var = x_mdialog('Enter parameters for the inductor:',txt,['150';'100';'4800';'200';'0.5']);
l = 1E-3*evstr(var(1));
a = 1E-6*evstr(var(2));
p = evstr(var(3));
n = evstr(var(4));
i = evstr(var(5));
// Calculate reluctance of the magnetic path
s = l/(12.57*1E-7*p*a);
// Calculate flux produced
phi =1E+3*(n * i)/s
// Display result
messagebox("Flux produced = " + string(phi) + " mWb")





